SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Apache Tomcat Vendors:   Apache Software Foundation
(Red Hat Issues Fix) Apache Tomcat Overflow in UTF-8 Decoder Lets Remote Users Deny Service
SecurityTracker Alert ID:  1041884
SecurityTracker URL:  http://securitytracker.com/id/1041884
CVE Reference:   CVE-2018-1336   (Links to External Site)
Date:  Oct 16 2018
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 7.0.28 to 7.0.88, 8.0.0.RC1 to 8.0.51, 8.5.0 to 8.5.30, 9.0.0.M1 to 9.0.7
Description:   A vulnerability was reported in Apache Tomcat. A remote user can cause denial of service conditions on the target system.

A remote user can send specially crafted data containing supplementary characters to trigger an overflow in the UTF-8 decoder and cause the target service to enter an infinite loop.

Impact:   A remote user can cause the target service to enter an infinite loop.
Solution:   Red Hat has issued a fix.

The Red Hat advisory is available at:

https://access.redhat.com/errata/RHSA-2018:2921

Vendor URL:  access.redhat.com/errata/RHSA-2018:2921 (Links to External Site)
Cause:   Boundary error, State error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Jul 26 2018 Apache Tomcat Overflow in UTF-8 Decoder Lets Remote Users Deny Service



 Source Message Contents

Subject:  [RHSA-2018:2921-01] Important: tomcat security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: tomcat security update
Advisory ID:       RHSA-2018:2921-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2018:2921
Issue date:        2018-10-16
CVE Names:         CVE-2018-1336 
=====================================================================

1. Summary:

An update for tomcat is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client (v. 7) - noarch
Red Hat Enterprise Linux Client Optional (v. 7) - noarch
Red Hat Enterprise Linux ComputeNode (v. 7) - noarch
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - noarch
Red Hat Enterprise Linux Server (v. 7) - noarch
Red Hat Enterprise Linux Server Optional (v. 7) - noarch
Red Hat Enterprise Linux Workstation (v. 7) - noarch
Red Hat Enterprise Linux Workstation Optional (v. 7) - noarch
Red Hat Enterprise Linux for ARM and IBM Power LE (POWER9) Server (v. 7) - noarch
Red Hat Enterprise Linux for ARM and IBM Power LE (POWER9) Server Optional (v. 7) - noarch

3. Description:

Apache Tomcat is a servlet container for the Java Servlet and JavaServer
Pages (JSP) technologies.

Security Fix(es):

* tomcat: A bug in the UTF-8 decoder can lead to DoS (CVE-2018-1336)

For more details about the security issue(s), including the impact, a CVSS
score, and other related information, refer to the CVE page(s) listed in
the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1607591 - CVE-2018-1336 tomcat: A bug in the UTF-8 decoder can lead to DoS

6. Package List:

Red Hat Enterprise Linux Client (v. 7):

Source:
tomcat-7.0.76-8.el7_5.src.rpm

noarch:
tomcat-servlet-3.0-api-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux Client Optional (v. 7):

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-docs-webapp-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-javadoc-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsvc-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux ComputeNode (v. 7):

Source:
tomcat-7.0.76-8.el7_5.src.rpm

noarch:
tomcat-servlet-3.0-api-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-docs-webapp-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-javadoc-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsvc-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux Server (v. 7):

Source:
tomcat-7.0.76-8.el7_5.src.rpm

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-servlet-3.0-api-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux for ARM and IBM Power LE (POWER9) Server (v. 7):

Source:
tomcat-7.0.76-8.el7_5.src.rpm

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-servlet-3.0-api-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-docs-webapp-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-javadoc-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsvc-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux for ARM and IBM Power LE (POWER9) Server Optional (v. 7):

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-docs-webapp-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-javadoc-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsvc-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux Workstation (v. 7):

Source:
tomcat-7.0.76-8.el7_5.src.rpm

noarch:
tomcat-7.0.76-8.el7_5.noarch.rpm
tomcat-admin-webapps-7.0.76-8.el7_5.noarch.rpm
tomcat-el-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-jsp-2.2-api-7.0.76-8.el7_5.noarch.rpm
tomcat-lib-7.0.76-8.el7_5.noarch.rpm
tomcat-servlet-3.0-api-7.0.76-8.el7_5.noarch.rpm
tomcat-webapps-7.0.76-8.el7_5.noarch.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

noarch:
tomcat-docs-webapp-7.0.76-8.el7_5.noarch.rpm
tomcat-javadoc-7.0.76-8.el7_5.noarch.rpm
tomcat-jsvc-7.0.76-8.el7_5.noarch.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2018-1336
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2018 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBW8Wiv9zjgjWX9erEAQhrvg//YvrUqL+9zW4MWpq0g4r1FDOfZ2CMm5kZ
/NFK0tZYaXxPr5x4UDcwxLjz/qS/SeVIJzrObJNt8HEj3G9h0G1s0N8UTUxPuxBX
gakPsQue+OIUmUPm3r+U8BId8ZL1jiJbQIOnncV7KPBeCqYVe/F96VT6KsOwMen2
Cove2VMMaqt8gnnWPYp+ofi5UYUsfuBXq1ZGVQHSda0BDDPJbfqo25Hk8/8kKcZL
3/ZED0fM+6uQLZvyRAZlQjQn0LLiBuWa0Lz0twXHVQjMHixoQ90K825cL4wlr05n
xi8Z3t7dGm2k9rDR52KP3YPZ2Ppk/Jv+KNwUxile4Dl/tWnYFqSaMPxx+scjiybx
YJW7QbMDiEh1tF6H59nXuLcfqNu13uAoRsNu5Q8NyZmGO1LIPLNymu8EnXSwXrzV
vckSbwDHDMh/W3g1FgpSA5g0FcMn6t7miKaUC+UKdqdXBCFf3s0MKhki1g65xCmE
/350r78Dq3arwL9czEaG5gbmdfvZM+KpscrwMyWIQsTdVNCnzervRPdfNVFgq7Zd
R2x+WA5+hQhinsNcm7uLwf4rEP10Yb1j13uCeuNIHjYvrrcY4grTU9Asyo4O8sxy
vlCNkGlHOyC9zbgRVvzvp/IvB+1LKJi7AqHybcTz5+tB8WdEZ4esxyLNcqhF6a3g
Ye29ndjUsWk=
=kdrO
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC